: Class ExtendedCommonLogger

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.http
Class ExtendedCommonLogger

    java.lang.Object
      |
      +--org.w3c.jigsaw.http.Logger
            |
            +--org.w3c.jigsaw.http.CommonLogger
                  |
                  +--org.w3c.jigsaw.http.ExtendedCommonLogger

public class ExtendedCommonLogger
extends CommonLogger

The ExtendedCommonLogger class implements the abstract Logger class. It just rotates the log every month and use the extended log format

See Also:
  `CommonLogger`

Fields inherited from class org.w3c.jigsaw.http.CommonLogger
`buffer, bufptr, bufsize, BUFSIZE_P, day, errlog, ERRLOGNAME_P, log, LOGDIRNAME_P, LOGNAME_P, month, monthnames, props, ROTATE_LEVEL_P, rotateLevel, server, trace, TRACELOGNAME_P, tz, year`

Method Summary
`void` | `log(Request request, Reply reply, int nbytes, long duration)` Log the given HTTP transaction.

Methods inherited from class org.w3c.jigsaw.http.CommonLogger
`appendLogBuffer, checkLogFile, errlog, errlog, errlogmsg, getFilename, initialize, log, logmsg, openErrorLogFile, openLogFile, openLogFile, openLogFile, openLogFile, openTraceFile, output, propertyChanged, shutdown, sync, trace, trace, tracemsg`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### log

    public void log(Request request,
                    Reply reply,
                    int nbytes,
                    long duration)

  Log the given HTTP transaction. This is shamelessly slow.
  Overrides:
    log in class CommonLogger
  Tags copied from class: Logger
  Parameters:
    `client` - The client which made the request.
    `request` - The request that was handled.
    `reply` - The emitted reply to the client.
    `nbytes` - The number of bytes sent to this client.
    `duration` - The time it took to process the request.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD